# -*- coding: utf-8 -*-
from setuphelpers import *

installdir            = makepath(programfiles32, 'Ovisio')
my_installationfiles  = 'Ovisio'

uninstallkey = []

def install():
    # we copy 3rd party packages into the install dir
    copytree2(my_installationfiles, installdir)
    # finally, let's make a shortcut for the app on the desktop
    create_desktop_shortcut(r'Ovisio',target=r'C:\Program Files (x86)\Ovisio\EsaoStudio.exe',arguments='/CNF Diffraction',wDir=r'C:\Program Files (x86)\Ovisio')

def uninstall():
    # removes the desktop shortcut
    remove_desktop_shortcut('Ovisio')
    # then the directory tree
    remove_tree(installdir)

def session_setup():
    print('Session setup for %s' % control.asrequirement())
    # put here what to do when package is configured inside a user session
    # implicit context variables are WAPT, control, user, params

def update_package():
    pass
    # put here what to do to update package content with newer installers.
    # launched with command wapt-get update-package-sources <path-to-wapt-directory>
    # implicit context variables are WAPT, basedir, control, user, params, run
    # if attributes in control are changed, they should be explicitly saved to package file with control.save_control_to_wapt()

def audit():
    pass
    # put here code to check periodically that state is matching expectations
    # return "OK", "WARNING" or "ERROR" to report status in console.
    # all print statement are reported too
    return "OK"